## smplayer 16.4.0~ds0

=== OBS/Makefile ===
# This Makefile creates some files necessary to build
# deb packages at build.opensuse.org

PACKAGE = smplayer
VERSION = 16.4.0
DEPENDS = debhelper (>= 5), libqt4-dev, zlib1g-dev

DSC_FILE = $(PACKAGE).dsc
DEBIAN_FILE = debian.tar.gz

all: $(DEBIAN_FILE) $(DSC_FILE)

$(DEBIAN_FILE): Makefile
	svn export ../debian-rvm debian
	mv debian/changelog-orig debian/changelog
	tar -cvzf $(DEBIAN_FILE) debian/

$(DSC_FILE): Makefile
	echo "Format: 1.0" > $(DSC_FILE)
	echo "Source: $(PACKAGE)" >> $(DSC_FILE)
	echo "Binary: $(PACKAGE)" >> $(DSC_FILE)
	echo "Architecture: any" >> $(DSC_FILE)
	echo "Version: $(VERSION)" >> $(DSC_FILE)
	echo "Maintainer: Ricardo Villalba <rvm@users.sourceforge.net>" >> $(DSC_FILE)
	echo "Standards-Version: 3.7.2" >> $(DSC_FILE)
	echo "Build-Depends: $(DEPENDS)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-TAR: $(PACKAGE)-$(VERSION).tar.bz2" >> $(DSC_FILE)
	echo "DEBTRANSFORM-FILES-TAR: $(DEBIAN_FILE)" >> $(DSC_FILE)
	echo "DEBTRANSFORM-RELEASE: 1" >> $(DSC_FILE)

clean:
	- rm debian/*
	- rmdir debian
	- rm $(DEBIAN_FILE) $(DSC_FILE)

=== setup/translations/po_files/Makefile ===
all: amharic.po malay.po french.po hungarian.po basque.po danish.po simpchinese.po finnish.po norwegian.po hebrew.po russian.po persian.po croatian.po romanian.po portuguese.po czech.po arabic.po thai.po portuguesebrazil.po albanian.po dutch.po galician.po ukrainian.po serbian.po bulgarian.po slovak.po spanish.po indonesian.po italian.po tradchinese.po korean.po greek.po japanese.po german.po vietnamese.po catalan.po slovenian.po polish.po turkish.po 

amharic.po: english.pot
	msgmerge -F -U -N --backup=numbered amharic.po english.pot

malay.po: english.pot
	msgmerge -F -U -N --backup=numbered malay.po english.pot

french.po: english.pot
	msgmerge -F -U -N --backup=numbered french.po english.pot

hungarian.po: english.pot
	msgmerge -F -U -N --backup=numbered hungarian.po english.pot

basque.po: english.pot
	msgmerge -F -U -N --backup=numbered basque.po english.pot

danish.po: english.pot
	msgmerge -F -U -N --backup=numbered danish.po english.pot

simpchinese.po: english.pot
	msgmerge -F -U -N --backup=numbered simpchinese.po english.pot

finnish.po: english.pot
	msgmerge -F -U -N --backup=numbered finnish.po english.pot

norwegian.po: english.pot
	msgmerge -F -U -N --backup=numbered norwegian.po english.pot

hebrew.po: english.pot
	msgmerge -F -U -N --backup=numbered hebrew.po english.pot

russian.po: english.pot
	msgmerge -F -U -N --backup=numbered russian.po english.pot

persian.po: english.pot
	msgmerge -F -U -N --backup=numbered persian.po english.pot

croatian.po: english.pot
	msgmerge -F -U -N --backup=numbered croatian.po english.pot

romanian.po: english.pot
	msgmerge -F -U -N --backup=numbered romanian.po english.pot

portuguese.po: english.pot
	msgmerge -F -U -N --backup=numbered portuguese.po english.pot

czech.po: english.pot
	msgmerge -F -U -N --backup=numbered czech.po english.pot

arabic.po: english.pot
	msgmerge -F -U -N --backup=numbered arabic.po english.pot

thai.po: english.pot
	msgmerge -F -U -N --backup=numbered thai.po english.pot

portuguesebrazil.po: english.pot
	msgmerge -F -U -N --backup=numbered portuguesebrazil.po english.pot

albanian.po: english.pot
	msgmerge -F -U -N --backup=numbered albanian.po english.pot

dutch.po: english.pot
	msgmerge -F -U -N --backup=numbered dutch.po english.pot

galician.po: english.pot
	msgmerge -F -U -N --backup=numbered galician.po english.pot

ukrainian.po: english.pot
	msgmerge -F -U -N --backup=numbered ukrainian.po english.pot

serbian.po: english.pot
	msgmerge -F -U -N --backup=numbered serbian.po english.pot

bulgarian.po: english.pot
	msgmerge -F -U -N --backup=numbered bulgarian.po english.pot

slovak.po: english.pot
	msgmerge -F -U -N --backup=numbered slovak.po english.pot

spanish.po: english.pot
	msgmerge -F -U -N --backup=numbered spanish.po english.pot

indonesian.po: english.pot
	msgmerge -F -U -N --backup=numbered indonesian.po english.pot

italian.po: english.pot
	msgmerge -F -U -N --backup=numbered italian.po english.pot

tradchinese.po: english.pot
	msgmerge -F -U -N --backup=numbered tradchinese.po english.pot

korean.po: english.pot
	msgmerge -F -U -N --backup=numbered korean.po english.pot

greek.po: english.pot
	msgmerge -F -U -N --backup=numbered greek.po english.pot

japanese.po: english.pot
	msgmerge -F -U -N --backup=numbered japanese.po english.pot

german.po: english.pot
	msgmerge -F -U -N --backup=numbered german.po english.pot

vietnamese.po: english.pot
	msgmerge -F -U -N --backup=numbered vietnamese.po english.pot

catalan.po: english.pot
	msgmerge -F -U -N --backup=numbered catalan.po english.pot

slovenian.po: english.pot
	msgmerge -F -U -N --backup=numbered slovenian.po english.pot

polish.po: english.pot
	msgmerge -F -U -N --backup=numbered polish.po english.pot

turkish.po: english.pot
	msgmerge -F -U -N --backup=numbered turkish.po english.pot

clean:
	-rm *~

=== debian/changelog ===
smplayer (16.4.0~ds0-1) unstable; urgency=medium

  * New upstream release. (Closes: #809667, #820431)
    - Refresh all patches and drop 03-not_define_reminder_actions.patch.
  * debian/control:
    - Bump standards version to 3.9.8. (no changes needed)
    - Update package description. (Closes: #819656)
    - Use secured links in VCS fields.
  * debian/rules:
    - Enable hardening=+all.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 08 Apr 2016 22:48:57 +0200

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Maia Kozheva <sikon@ubuntu.com>,
 Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends:
 debhelper (>= 9),
 qtbase5-dev (>= 5.1),
 qt5-qmake,
 qtscript5-dev,
 qttools5-dev-tools,
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/pkg-multimedia/smplayer.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git

Package: smplayer
Architecture: any
Depends:
 mpv (>= 0.6.2) | mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: Complete front-end for MPlayer, MPlayer2 and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
Breaks: 
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer, MPlayer2 and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH = $(CURDIR)/debian/repack.sh

export QT_SELECT=5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"


%:
	dh $@ --parallel

override_dh_auto_clean:
	[ ! -d src/.moc ] || $(RM) -r src/.moc
	[ ! -d src/.obj ] || $(RM) -r src/.obj
	[ ! -d src/.ui ] || $(RM) -r src/.ui
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smplayer\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smplayer
	rm -f debian/tmp/usr/share/doc/smplayer/Copying.txt

## smplayer 16.9.0~ds0

=== Makefile ===

PREFIX=/usr/local
#PREFIX=/tmp/smplayer

CONF_PREFIX=$(PREFIX)

DATA_PATH=$(PREFIX)/share/smplayer
DOC_PATH=$(PREFIX)/share/doc/packages/smplayer
TRANSLATION_PATH=$(PREFIX)/share/smplayer/translations
THEMES_PATH=$(PREFIX)/share/smplayer/themes
SHORTCUTS_PATH=$(PREFIX)/share/smplayer/shortcuts

ICONS_DIR=$(PREFIX)/share/icons/hicolor/
APPLNK_DIR=$(PREFIX)/share/applications/

QMAKE=qmake
LRELEASE=lrelease

DEFS=DATA_PATH=\\\"$(DATA_PATH)\\\" \
     TRANSLATION_PATH=\\\"$(TRANSLATION_PATH)\\\" \
     DOC_PATH=\\\"$(DOC_PATH)\\\" THEMES_PATH=\\\"$(THEMES_PATH)\\\" \
     SHORTCUTS_PATH=\\\"$(SHORTCUTS_PATH)\\\"

src/smplayer:
	./get_svn_revision.sh
	+cd src && $(QMAKE) $(QMAKE_OPTS) && $(DEFS) make
	cd src && $(LRELEASE) smplayer.pro

clean:
	if [ -f src/Makefile ]; then cd src && make distclean; fi
	-rm src/translations/smplayer_*.qm

install: src/smplayer
	-install -d $(DESTDIR)$(PREFIX)/bin/
	install -m 755 src/smplayer $(DESTDIR)$(PREFIX)/bin/
	-install -d $(DESTDIR)$(DATA_PATH)
	install -m 644 src/input.conf $(DESTDIR)$(DATA_PATH)
	-install -d $(DESTDIR)$(TRANSLATION_PATH)
	install -m 644 src/translations/*.qm $(DESTDIR)$(TRANSLATION_PATH)
	-install -d $(DESTDIR)$(DOC_PATH)
	install -m 644 Changelog *.txt $(DESTDIR)$(DOC_PATH)

	-install -d $(DESTDIR)$(DOC_PATH)
	tar -C docs/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(DOC_PATH) -x -f -

	-install -d $(DESTDIR)$(SHORTCUTS_PATH)
	cp src/shortcuts/* $(DESTDIR)$(SHORTCUTS_PATH)

#	-install -d $(DESTDIR)$(THEMES_PATH)
#	-tar -C src/themes/ --exclude=.svn -c -f - . | tar -C $(DESTDIR)$(THEMES_PATH) -x -f -

	-install -d $(DESTDIR)$(ICONS_DIR)/512x512/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/256x256/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/192x192/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/128x128/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/64x64/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/32x32/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/22x22/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/16x16/apps/
	-install -d $(DESTDIR)$(ICONS_DIR)/scalable/apps/
	install -m 644 icons/smplayer_icon512.png $(DESTDIR)$(ICONS_DIR)/512x512/apps/smplayer.png
	install -m 644 icons/smplayer_icon256.png $(DESTDIR)$(ICONS_DIR)/256x256/apps/smplayer.png
	install -m 644 icons/smplayer_icon192.png $(DESTDIR)$(ICONS_DIR)/192x192/apps/smplayer.png
	install -m 644 icons/smplayer_icon128.png $(DESTDIR)$(ICONS_DIR)/128x128/apps/smplayer.png
	install -m 644 icons/smplayer_icon64.png $(DESTDIR)$(ICONS_DIR)/64x64/apps/smplayer.png
	install -m 644 icons/smplayer_icon32.png $(DESTDIR)$(ICONS_DIR)/32x32/apps/smplayer.png
	install -m 644 icons/smplayer_icon22.png $(DESTDIR)$(ICONS_DIR)/22x22/apps/smplayer.png
	install -m 644 icons/smplayer_icon16.png $(DESTDIR)$(ICONS_DIR)/16x16/apps/smplayer.png
	install -m 644 icons/smplayer.svg $(DESTDIR)$(ICONS_DIR)/scalable/apps/smplayer.svg
	-install -d $(DESTDIR)$(APPLNK_DIR)
	install -m 644 smplayer.desktop $(DESTDIR)$(APPLNK_DIR)
	install -m 644 smplayer_enqueue.desktop $(DESTDIR)$(APPLNK_DIR)
	-install -d $(DESTDIR)$(PREFIX)/share/man/man1/
	install -m 644 man/smplayer.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	gzip -9 -f $(DESTDIR)$(PREFIX)/share/man/man1/smplayer.1

uninstall:
	-rm -f $(PREFIX)/bin/smplayer
	-rm -f $(DATA_PATH)/input.conf
	-rm -f $(TRANSLATION_PATH)/*.qm
	-rm -f $(DOC_PATH)/Changelog
	-rm -f $(DOC_PATH)/*.txt
	-rm -f $(SHORTCUTS_PATH)/*.keys
	-rm -f $(ICONS_DIR)/64x64/apps/smplayer.png
	-rm -f $(ICONS_DIR)/32x32/apps/smplayer.png
	-rm -f $(ICONS_DIR)/22x22/apps/smplayer.png
	-rm -f $(ICONS_DIR)/16x16/apps/smplayer.png
	-rm -f $(APPLNK_DIR)/smplayer.desktop
	-rm -f $(PREFIX)/share/man/man1/smplayer.1.gz
	-rmdir $(SHORTCUTS_PATH)/
	-rmdir $(TRANSLATION_PATH)/
#	-for file in docs/*/*; do \
#	    rm -f $(DOC_PATH)/$${file/docs/}; \
#	done;
#	-for file in docs/*; do \
#	    rmdir $(DOC_PATH)/$${file/docs/}; \
#	done;
	-(cd docs && find -iname '*.html') | (cd $(DESTDIR)$(DOC_PATH) && xargs rm)
	-(cd docs && find -type d -name '??') | (cd $(DESTDIR)$(DOC_PATH) && xargs rmdir)
	-rmdir $(DOC_PATH)/
	-rmdir $(DATA_PATH)/

=== OBS/Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 16.4.0
-DEPENDS = debhelper (>= 5), libqt4-dev, zlib1g-dev
+VERSION = 16.9.0
+#DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
+DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev
 
 DSC_FILE = $(PACKAGE).dsc
 DEBIAN_FILE = debian.tar.gz

=== setup/translations/po_files/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: amharic.po malay.po french.po hungarian.po basque.po danish.po simpchinese.po finnish.po norwegian.po hebrew.po russian.po persian.po croatian.po romanian.po portuguese.po czech.po arabic.po thai.po portuguesebrazil.po albanian.po dutch.po galician.po ukrainian.po serbian.po bulgarian.po slovak.po spanish.po indonesian.po italian.po tradchinese.po korean.po greek.po japanese.po german.po vietnamese.po catalan.po slovenian.po polish.po turkish.po 
+all: amharic.po malay.po french.po hungarian.po basque.po danish.po simpchinese.po finnish.po norwegian.po hebrew.po russian.po croatian.po romanian.po portuguese.po czech.po arabic.po thai.po portuguesebrazil.po albanian.po dutch.po galician.po ukrainian.po serbian.po bulgarian.po slovak.po spanish.po indonesian.po italian.po tradchinese.po korean.po farsi.po greek.po japanese.po german.po vietnamese.po catalan.po slovenian.po polish.po turkish.po 
 
 amharic.po: english.pot
 	msgmerge -F -U -N --backup=numbered amharic.po english.pot
@@ -32,9 +32,6 @@
 
 russian.po: english.pot
 	msgmerge -F -U -N --backup=numbered russian.po english.pot
-
-persian.po: english.pot
-	msgmerge -F -U -N --backup=numbered persian.po english.pot
 
 croatian.po: english.pot
 	msgmerge -F -U -N --backup=numbered croatian.po english.pot
@@ -93,6 +90,9 @@
 korean.po: english.pot
 	msgmerge -F -U -N --backup=numbered korean.po english.pot
 
+farsi.po: english.pot
+	msgmerge -F -U -N --backup=numbered farsi.po english.pot
+
 greek.po: english.pot
 	msgmerge -F -U -N --backup=numbered greek.po english.pot

=== debian/changelog ===
smplayer (16.9.0~ds0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release. (Closes: #825294)
  * debian/control:
    - Add qtbase5-private-dev to B-D.
    - Remove Maia Kozheva from uploaders. (Closes: #829314)
  * Bump debhelper version to 10.

  [ Sebastian Ramacher ]
  * Fix Vcs-* links

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 14 Oct 2016 13:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Maia Kozheva <sikon@ubuntu.com>,
  Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  qtbase5-dev (>= 5.1),
+ qtbase5-private-dev,
  qt5-qmake,
  qtscript5-dev,
  qttools5-dev-tools,
  zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://smplayer.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/pkg-multimedia/smplayer.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/smplayer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/smplayer.git
 
 Package: smplayer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	[ ! -d src/.moc ] || $(RM) -r src/.moc

## smplayer 16.11.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 16.9.0
+VERSION = 16.11.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (16.11.0~ds0-1) unstable; urgency=medium

  * New upstream release.
  * Drop all references to mplayer2.
  * debian/patches:
    - Add 01-update-mime-types.patch to merge mime types from vlc.
    (Closes: #842899)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 22 Nov 2016 17:31:13 +0100

## smplayer 17.2.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 16.11.0
+VERSION = 17.2.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (17.2.0~ds0-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Update debian/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 13 Feb 2017 21:19:07 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Recommends:
  smplayer-themes,
  smplayer-l10n
-Description: Complete front-end for MPlayer, MPlayer2 and mpv
+Description: Complete front-end for MPlayer and mpv
  Qt5 front-end for mplayer and forks, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
  for MPlayer filters and more. One of the most interesting features
@@ -46,7 +46,7 @@
  smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
 Breaks: 
  smplayer-translations (<< 14.3.0)
-Description: Complete front-end for MPlayer, MPlayer2 and mpv - translation files
+Description: Complete front-end for MPlayer and mpv - translation files
  Qt5 front-end for mplayer and forks, with basic features like playing
  videos, DVDs, and VCDs to more advanced features like support
  for MPlayer filters and more. One of the most interesting features

## smplayer 17.3.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 17.2.0
+VERSION = 17.3.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (17.3.0~ds0-1) experimental; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 18 Mar 2017 21:25:44 +0100

## smplayer 17.4.0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 17.3.0
+VERSION = 17.4.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (17.4.0-0mx150+1) mx; urgency=medium

  * New Upstream release:
    - The thumbnail generator has been fixed.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Fri, 07 Apr 2017 20:28:01 -0500

smplayer (17.3.0-1mx15+1) mx; urgency=medium

  * New upstream release:
    - Add experimental support for subtitles for Chromecast.
    - (mpv) Add more options for hardware decoding.
    - Fix some of the subtitles' options when using mpv.
    - Bug fixes.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2017 18:00:53 -0800

smplayer (17.2.0-0mx15+1) mx; urgency=medium

  * New upstream release:
    - Fix for YouTube.
    - The option to delete files from the disk in the playlist is back but
      it's disabled by default (you can enable it in Preferences -> Playlist
      -> Misc.
    - On Linux SMPlayer now uses a different web server, included in the
      packages, to serve files for Chromecast. If you installed the package
      webfs you can uninstall it now since SMPlayer won't use it anymore.
    - New translation: Norwegian Bokmål.



 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 Feb 2017 11:50:05 -0800

smplayer (17.1.0-0mx15+1) mx; urgency=medium

  * New upstream release:
    - Experimental support to play videos on Chromecast.
    - Support for some of the #EXTVLCOPT options in m3u/m3u8 playlists.
      This may help to play online streams from playlists intended for VLC.
    - New options in the context menu of the playlist: "copy URL to clipboard",
      "open source folder" and "play on Chromecast".
    - Option to display bitrate information in the status bar.
    - Possibility to display the playback time with milliseconds in the
      status bar.
    - The option to add black borders on fullscreen is back
      (preferences -> general -> video).
    - The option to delete files from the disk in the playlist's context menu
      has been removed.
  * debian/patches: Refresh 05-add-debian-hardening-flags.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Jan 2017 11:13:32 -0800

smplayer (16.11.0-0mx15+1) mx; urgency=medium

  * New upstream release:
    - More options in Preferences -> Playlist to better control the behaviour of
      the playlist. Changing some of the options makes it easier to use the
      playlist for bookmarks.
    - New option 'Show info on OSD' in View -> OSD (shortcut Shift + I). It
      displays info about the current media (resolution, bitrate...) on the OSD.
    - Bug fixes.
  * debian/patches: Refresh 05-add-debian-hardening-flags.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Nov 2016 21:03:44 -0800

smplayer (16.9.0-1mx150+1) mx; urgency=medium

  * New upstream release:
    - New option to send the audio to the specified audio device. It can be
      useful to send the audio to a TV via a HDMI cable or a bluetooth device.
    - Some improvements on the playlist. Now it's possible to hide any column
      (right click to see the options). The search field is also hidden by
      default, a new search button shows/hides it. These changes are intended to
      prevent the playlist window from displaying too wide.
    - Bug fixes.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 17 Sep 2016 13:17:37 -0700

smplayer (16.8.0-1mx150+1) mx; urgency=medium

  * New upstream release:
    - The playlist has been improved. Now it's possible to sort by any
      column. There's a new column, with the path of the file (or URL)
      (this allows you to sort the list by folder).
      Now it's possible to search (actually filter) in the playlist.
      And finally there's a new option to load a playlist from internet.
      As  an example, you can enter this URL: http://smplayer.info/onlinetv.php
      It will download a playlist with some online TV streams.
    - Fix for YouTube.
    - Some bug fixes mainly for Qt 5.
  * debian/control: change description to say Qt 4 instead of 5.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 17 Aug 2016 15:08:48 -0700

smplayer (16.6.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Build against Qt 4, since any HDPI support requires Qt 5 >= 5.4. ;(
  * Refresh 05-add-debian-hardening-flags.patch.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 18 Jun 2016 11:37:01 -0700

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
XSBC-Original-Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <v3g4n@mxlinux.org>
#XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Maia Kozheva <sikon@ubuntu.com>,
 Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends:
 debhelper (>= 9),
 libqt4-dev (>= 4.3),
 zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/pkg-multimedia/smplayer.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-multimedia/smplayer.git

Package: smplayer
Architecture: any
Depends:
 mpv (>= 0.6.2) | mplayer| mplayer2,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: complete front-end for MPlayer, MPlayer2 and mpv
 Qt front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs, to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again, it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 The MX and MEPIS versions are built against Qt 4.

Package: smplayer-l10n
Architecture: all
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
Breaks: 
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and forks - translation files
 Qt4 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs, to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again, it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export REPACK_SH = $(CURDIR)/debian/repack.sh
 
-export QT_SELECT=5
+export QT_SELECT=4
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -11,7 +11,7 @@
 
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	[ ! -d src/.moc ] || $(RM) -r src/.moc

## smplayer 17.7.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 17.4.0
+VERSION = 17.7.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (17.7.0~ds0-1build1) artful; urgency=medium

  * No change rebuild against Qt 5.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 26 Jul 2017 00:10:41 -0500

smplayer (17.7.0~ds0-1) unstable; urgency=medium

  * New upstream release. (Closes: #869411)
  * Bump Standards-Version to 4.0.0. (no changes needed)
  * Upload to unstable.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 23 Jul 2017 12:06:00 +0200

=== debian/control ===
Source: smplayer
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends:
 debhelper (>= 10),
 qtbase5-dev (>= 5.1),
 qtbase5-private-dev,
 qt5-qmake,
 qtscript5-dev,
 qttools5-dev-tools,
 zlib1g-dev
Standards-Version: 4.0.0
Homepage: http://smplayer.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/smplayer.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/smplayer.git

Package: smplayer
Architecture: any
Depends:
 mpv (>= 0.6.2) | mplayer,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 smplayer-themes,
 smplayer-l10n
Description: Complete front-end for MPlayer and mpv
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...

Package: smplayer-l10n
Architecture: all
Depends:
 smplayer (>= ${source:Version}),
 ${misc:Depends}
Replaces:
 smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
Breaks: 
 smplayer-translations (<< 14.3.0)
Description: Complete front-end for MPlayer and mpv - translation files
 Qt5 front-end for mplayer and forks, with basic features like playing
 videos, DVDs, and VCDs to more advanced features like support
 for MPlayer filters and more. One of the most interesting features
 of SMPlayer: it remembers the settings of all files you play.
 So you start to watch a movie but you have to leave... don't
 worry, when you open that movie again it will resume at the same
 point you left it, and with the same settings: audio track,
 subtitles, volume...
 .
 This package contains translation files.

## smplayer 17.7.0

=== debian/changelog ===
smplayer (17.7.0-0obs) obs; urgency=medium

  * New upstream release:
    - Add some options to configure the conversion of srt subtitles to vtt for
      Chromecast (Preferences -> Network -> Chromecast), like the position of
      the subtitles on screen.
    - Fix a crash that may happen in the playlist when trying to delete selected
      items.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 09 Jul 2017 19:29:21 -0700

smplayer (17.6.0-0obs.1) obs; urgency=medium

  * Add alternative build-depends that will build using Qt 5 if >= 5.6, 
    otherwise use Qt 4.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Jul 2017 17:19:51 -0700

smplayer (17.6.0-0obs) jessie; urgency=medium

  * New upstream release:
    - Possibility to convert automatically subtitles in srt format to vtt
      when playing on Chromecast.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Jun 2017 12:19:32 -0700

smplayer (17.5.0-0mcr12+1) mepis; urgency=low

  * Rebuild for MEPIS 12 community repository.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 May 2017 18:49:02 -0700

smplayer (17.5.0-0mcr15+1) mx; urgency=medium

  * New upstream release:
    - fix Youtube.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 May 2017 18:28:26 -0700

smplayer (17.4.2-0mcr12+1) mepis; urgency=low

  * Rebuild for MEPIS 12 community repository.
  * debian/rules: compress deb packages with xz.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Apr 2017 11:23:20 -0700

smplayer (17.4.2-0mx15+1) mx; urgency=medium

  * New upstream release, build for MX-15:
    - Add play_next and play_prev to the list of actions for the mouse buttons.
    - Remember the position of the video when it's opened by drag & drop.
    - Fix the audio normalization filter when using mpv > 0.24.
    - Fix for the thumbnail generator when using old versions of mpv.
    - Add option for the MPlayer ffhevcvdpau decoder.
    - Add option View -> OSD -> Show times with milliseconds (requires
      mpv >= 0.21).
    - Be sure the suboptions for vo and ao aren't used. (mpv only)

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Apr 2017 10:48:30 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,16 @@
 #!/usr/bin/make -f
 
 export REPACK_SH = $(CURDIR)/debian/repack.sh
-
-export QT_SELECT=4
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
 MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"
 
+distrelease := $(shell lsb_release -cs)
+ifeq ($(distrelease),$(filter $(distrelease),stretch))
+export QT_SELECT=5
+endif
 
 %:
 	dh $@ --parallel
@@ -25,3 +27,6 @@
 override_dh_auto_install:
 	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smplayer
 	rm -f debian/tmp/usr/share/doc/smplayer/Copying.txt
+
+override_dh_builddeb:
+	dh_builddeb -- -Z xz

## smplayer 17.8.0~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 17.7.0
+VERSION = 17.8.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (17.8.0~ds0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.1. (no changes needed)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 13 Aug 2017 12:16:18 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  qtscript5-dev,
  qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.0.1
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/smplayer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/smplayer.git

## smplayer 17.10.0pearl6

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 17.8.0
+VERSION = 17.10.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (17.10.0pearl6) artful; urgency=medium

  * New release for Pearl Artful

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Thu, 12 Oct 2017 21:19:40 -0500

smplayer (17.10.0) precise; urgency=low

  * Replace the deprecated video and audio filters by mpv with new ones.
  * The karaoke filter is available again when using mpv.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Fri, 29 Sep 2017 21:51:59 +0200

smplayer (17.9.0) precise; urgency=medium

  * Now it's possible to the search for subtitles using the filename instead of
    a hash.
  * Fix for the OSD when using SMPlayer with mpv 0.26.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Fri, 01 Sep 2017 10:56:14 +0200

smplayer (17.8.0) precise; urgency=low

  * New audio filter for headphone optimization.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Wed, 09 Aug 2017 23:04:13 +0200

smplayer (17.7.0) precise; urgency=low

  * Add some options to configure the conversion of srt subtitles to vtt for
    Chromecast (Preferences -> Network -> Chromecast), like the position of the
    subtitles on screen.
  * Fix a crash that may happen in the playlist when trying to delete selected
    items.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Tue, 04 Jul 2017 22:03:22 +0200

smplayer (17.6.0) precise; urgency=low

  * Possibility to convert automatically subtitles in srt format to vtt
    when playing on Chromecast.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Tue, 30 May 2017 23:59:06 +0200

smplayer (17.5.0) precise; urgency=medium

  * Fix for YouTube.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Mon, 08 May 2017 11:30:51 +0200

smplayer (17.4.2) precise; urgency=low

  * New option (menu View -> OSD) to display the times with milliseconds.
  * New fix for the thumbnail generator that works also with older
    versions of mpv.
  * Bugfix: the position of the video is remembered when it's opened by
    drag & drop.
  * The Windows installer won't install mpv on Windows XP since mpv is not
    longer compatible with Windows XP.
  * New option to use the mplayer ffhevcvdpau decoder (Linux only).
  * Avoid some crashes from mpv.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Sat, 22 Apr 2017 22:14:53 +0200

smplayer (17.4.0) precise; urgency=low

  * The thumbnail generator has been fixed.
  * The H2O theme is now included in the binary.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Sun, 02 Apr 2017 23:10:49 +0200

smplayer (17.3.0) precise; urgency=low

  * Add experimental support for subtitles for Chromecast.
  * Bug fixes.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Sun, 05 Mar 2017 23:04:42 +0100

smplayer (17.2.0) precise; urgency=low

  * Fix for YouTube.
  * The option to delete files from the disk in the playlist is back but
    it's disabled by default (you can enable it in Preferences -> Playlist
    -> Misc).
  * On Linux SMPlayer now uses a different web server (included in the
    package) to serve files for Chromecast. If you installed the package
    webfs you can uninstall it now since SMPlayer won't use it anymore.
  * New translation: Norwegian Bokmål.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Thu, 02 Feb 2017 22:20:52 +0100

smplayer (17.1.0) precise; urgency=medium

  * Experimental support to play videos on Chromecast.
  * Support for some of the #EXTVLCOPT options in m3u/m3u8 playlists.
    This may help to play online streams from playlists intended for VLC.
  * New options in the context menu of the playlist: "copy URL to clipboard",
    "open source folder" and "play on Chromecast".
  * Option to display bitrate information in the status bar.
  * Possibility to display the playback time with milliseconds in the status bar.
  * The option to add black borders on fullscreen is back
    (preferences -> general -> video).
  * The option to delete files from the disk in the playlist's context menu
    has been removed.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Fri, 20 Jan 2017 10:37:39 +0100

smplayer (16.11.0) precise; urgency=low

  * More options in Preferences -> Playlist to better control the
    behaviour of the playlist. Changing some of the options makes
    easier to use the playlist for bookmarks.
  * New option 'Show info on OSD' in View -> OSD (shortcut Shift + I).
    It displays info about the current media (resolution, bitrate...) on the
    OSD.
  * Bug fixes.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Sat, 05 Nov 2016 23:56:20 +0100

smplayer (16.9.0) precise; urgency=low

  * New option to send the audio to the specified audio device.
    It can be useful to send the audio to a TV via a HDMI cable
    or wireless headphones via bluetooth.
  * Some improvements on the playlist. Now it's possible to hide
    any column (right click to see the options). The search field
    is also hidden by default, a new search button shows/hides it.
    This changes are intended to prevent the playlist window to
    be too wide.
  * Due to bugs and problems with Qt 5, the packages for Ubuntu are
    now built again with Qt 4 by default.
  * Bug fixes.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Fri, 09 Sep 2016 22:33:16 +0200

smplayer (16.8.0) precise; urgency=low

  * The playlist has been improved. Now it's possible to sort by any
    column. There's a new column, with the path of the file (or URL).
    This allows you to sort the list by folder.
    Now it's possible to search (actually filter) in the playlist.
    And finally there's a new option to load a playlist from internet.
  * Bug fixes.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Tue, 02 Aug 2016 22:55:15 +0200

smplayer (16.7.0) precise; urgency=low

  * Fix for YouTube.
  * Some bug fixes mainly for Qt 5.

 -- Ricardo Villalba <rvm@users.sourceforge.net>  Sun, 03 Jul 2016 00:52:31 +0200

smplayer (16.6.0) precise; urgency=low

  * Support for 2 in 1 computers with touch screens.
    SMPlayer includes now a 'tablet mode', available in the menu Options.


## smplayer 17.11.2~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 17.10.0
+VERSION = 17.11.2
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== debian/changelog ===
smplayer (17.11.2~ds0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1.
  * Change smplayer-l10n section to localization.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 27 Nov 2017 12:26:35 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  qtscript5-dev,
  qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: http://smplayer.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/smplayer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/smplayer.git
@@ -39,6 +39,7 @@
 
 Package: smplayer-l10n
 Architecture: all
+Section: localization
 Depends:
  smplayer (>= ${source:Version}),
  ${misc:Depends}

## smplayer 18.2.2~ds0

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 17.11.2
+VERSION = 18.2.2
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev

=== webserver/Makefile ===
PROG = simple_web_server
MODULE_CFLAGS=-DMG_DISABLE_DAV_AUTH -DMG_ENABLE_HTTP_CGI=0 -DMG_ENABLE_THREADS=0

SOURCES = main.c mongoose.c
CFLAGS = -O2 -W -Wall -Werror -Wno-unused-function $(CFLAGS_EXTRA) $(MODULE_CFLAGS)

ifeq ($(OS), Windows_NT)
CFLAGS += -lws2_32
CC = gcc
DEL_FILE = del
PROG := $(PROG).exe
else
CFLAGS += -pthread
DEL_FILE = rm -f
endif

all: $(PROG)

$(PROG): $(SOURCES) Makefile
	$(CC) $(SOURCES) -o $@ $(CFLAGS)

clean:
	$(DEL_FILE) $(PROG)

=== debian/changelog ===
smplayer (18.2.2~ds0-1) unstable; urgency=medium

  * New upstream release.
  * Move VCS to salsa.
  * Bump Standards-Version to 4.1.3.
  * Dump dh version to 11.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 12 Mar 2018 10:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
  Reinhard Tartler <siretart@tauware.de>,
  Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  qtbase5-dev (>= 5.1),
  qtbase5-private-dev,
  qt5-qmake,
  qtscript5-dev,
  qttools5-dev-tools,
  zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://smplayer.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/smplayer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/smplayer.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/smplayer.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/smplayer
 
 Package: smplayer
 Architecture: any
@@ -45,7 +45,7 @@
  ${misc:Depends}
 Replaces:
  smplayer (<< 0.5.62), smplayer-translations (<< 14.3.0)
-Breaks: 
+Breaks:
  smplayer-translations (<< 14.3.0)
 Description: Complete front-end for MPlayer and mpv - translation files
  Qt5 front-end for mplayer and forks, with basic features like playing

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH = $(CURDIR)/debian/repack.sh

export QT_SELECT=5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE DEFINES-=MPLAYER2_SUPPORT
MAKE_OPTS  = PREFIX=/usr QMAKE=qmake LRELEASE=lrelease QMAKE_OPTS="$(QMAKE_OPTS)"


%:
	dh $@

override_dh_auto_clean:
	[ ! -d src/.moc ] || $(RM) -r src/.moc
	[ ! -d src/.obj ] || $(RM) -r src/.obj
	[ ! -d src/.ui ] || $(RM) -r src/.ui
	[ ! -f src/Makefile ] || dh_auto_clean

override_dh_auto_build:
	dh_auto_build -- $(MAKE_OPTS) DOC_PATH=\\\"/usr/share/doc/smplayer\\\"

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS) DOC_PATH=/usr/share/doc/smplayer
	rm -f debian/tmp/usr/share/doc/smplayer/Copying.txt

=== debian/watch ===
version=3
opts=dversionmangle=s/~ds.*// \
http://sf.net/smplayer/smplayer-([0-9][^r]*)\.tar\.bz2 debian sh debian/repack.stub

## smplayer 18.5.0~ds1

=== OBS/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # deb packages at build.opensuse.org
 
 PACKAGE = smplayer
-VERSION = 18.2.2
+VERSION = 18.5.0
 #DEPENDS = debhelper (>= 5), zlib1g-dev, qtbase5-dev, qt5-qmake, qtscript5-dev, qttools5-dev-tools, qt5-default, qtbase5-private-dev
 DEPENDS = debhelper (>= 5), zlib1g-dev, libqt4-dev
 
@@ -12,7 +12,7 @@
 all: $(DEBIAN_FILE) $(DSC_FILE)
 
 $(DEBIAN_FILE): Makefile
-	svn export ../debian-rvm debian
+	svn export ../debian-orig debian
 	mv debian/changelog-orig debian/changelog
 	tar -cvzf $(DEBIAN_FILE) debian/

=== debian/changelog ===
smplayer (18.5.0~ds1-2) unstable; urgency=medium

  * Disable downloading potentially insecure javascript from youtube.com
    (Closes: #870233)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jun 2018 13:58:18 -0400

smplayer (18.5.0~ds1-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * New upstream release.
   * Disable chromecast support to workaround security issues in the
     "simple web server" mongoose (Closes: #898943)

  [ Mateusz Łukasik ]
  * Add debian/patches/07-fix-ftbfs-gcc8.patch:
    - Fix FTBFS with gcc-8. (Closes: #897863)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 18 Jun 2018 14:58:36 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: smplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Mateusz Łukasik <mati75@linuxmint.pl>
